Package com.sas.lsaf.clinical.common

## Class ClinicalUpdateResult

- java.lang.Object
- - com.sas.lsaf.clinical.common.ClinicalUpdateResult

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `StudyUpdateResult`, `TlfUpdateResult`

      public class ClinicalUpdateResult
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the results of importing clinical data. Results include validation results and the path and source location of the validation report, if one is specified.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClinicalUpdateResult​(ValidationResult validationResult, java.lang.String validationReportPath, SourceLocation validationReportSourceLocation)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getValidationReportPath()` | Gets the path of the validation report, if specified.
    `SourceLocation` | `getValidationReportSourceLocation()` | Gets the source location (repository or workspace) of the validation report, if a validation path is specified.
    `ValidationResult` | `getValidationResult()` | Gets the validation results of importing clinical data.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClinicalUpdateResult

          public ClinicalUpdateResult​(ValidationResult validationResult,
                                      java.lang.String validationReportPath,
                                      SourceLocation validationReportSourceLocation)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the update results returned by the API.
      Parameters:
        `validationResult` - The validation results of importing clinical data.
        `validationReportPath` - The path of the validation report, if provided.
        `validationReportSourceLocation` - The source location (repository or workspace) of the validation report, if a validation path is specified. Otherwise, null.

  - ### Method Detail

    - #### getValidationResult

          public ValidationResult getValidationResult()

      Gets the validation results of importing clinical data.
      Returns:
        The validation results of importing clinical data.

    - #### getValidationReportPath

          public java.lang.String getValidationReportPath()

      Gets the path of the validation report, if specified. Otherwise, null.
      Returns:
        The path of the validation report, if specified. Otherwise, null.

    - #### getValidationReportSourceLocation

          public SourceLocation getValidationReportSourceLocation()

      Gets the source location (repository or workspace) of the validation report, if a validation path is specified. Otherwise, null.
      Returns:
        The source location (repository or workspace) of the validation report, if a validatioon path is specified. Otherwise, null.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`